summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2013-01-08 17:22:52 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-09 18:52:28 -0500
commit1791aceed9858eb95f8d0c63b4a41ba5563ec142 (patch)
tree8466d853165a9dea4f72707b7d67be805dbdd383
parent6375d5b12e194283a398ccf27d8bde9eb10ba792 (diff)
downloadslackbuilds-1791aceed9858eb95f8d0c63b4a41ba5563ec142.tar.gz
slackbuilds-1791aceed9858eb95f8d0c63b4a41ba5563ec142.tar.xz
games/dolphin-emu: Added (Gamecube emulator).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--games/dolphin-emu/README10
-rw-r--r--games/dolphin-emu/doinst.sh9
-rw-r--r--games/dolphin-emu/dolphin-emu.SlackBuild105
-rw-r--r--games/dolphin-emu/dolphin-emu.desktop11
-rw-r--r--games/dolphin-emu/dolphin-emu.info10
-rw-r--r--games/dolphin-emu/slack-desc19
6 files changed, 164 insertions, 0 deletions
diff --git a/games/dolphin-emu/README b/games/dolphin-emu/README
new file mode 100644
index 0000000000..2f9ef19f55
--- /dev/null
+++ b/games/dolphin-emu/README
@@ -0,0 +1,10 @@
+Dolphin is a Gamecube, Wii and Triforce (the arcade machine based on
+the Gamecube) emulator which supports many extra features and
+abilities not present on the original consoles. Gamecube and Wii
+compatibility is good - one can expect "mainstream" titles to run;
+lesser known titles can be hit or miss. Triforce compatibility is
+currently limited to a couple of games - others require more of the
+Triforce-specific peripheral devices to be emulated.
+
+Optional dependencies are SFML, OpenAL, portaudio, pulseaudio, soil
+and ffmpeg.
diff --git a/games/dolphin-emu/doinst.sh b/games/dolphin-emu/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/dolphin-emu/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/dolphin-emu/dolphin-emu.SlackBuild b/games/dolphin-emu/dolphin-emu.SlackBuild
new file mode 100644
index 0000000000..7260fb45ce
--- /dev/null
+++ b/games/dolphin-emu/dolphin-emu.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for dolphin-emu
+
+# Copyright 2013 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dolphin-emu
+VERSION=${VERSION:-3.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM/-*/}-$VERSION
+unzip $CWD/${PRGNAM/-*/}-$VERSION-src.zip
+cd ${PRGNAM/-*/}-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -Dbindir=/usr/games \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+for i in 16 32 48 64 128; do
+ convert Installer/Dolphin.ico -resize ${i}x${i}! $PRGNAM-${i}.png
+ install -D -m 0644 $PRGNAM-${i}-8.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a license.txt Readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/dolphin-emu/dolphin-emu.desktop b/games/dolphin-emu/dolphin-emu.desktop
new file mode 100644
index 0000000000..96317d168b
--- /dev/null
+++ b/games/dolphin-emu/dolphin-emu.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Dolphin
+Categories=Game;Emulator;GTK;
+GenericName=GameCube and Wii Emulator
+Comment=An emulator for the GameCube and Wii consoles
+Exec=dolphin-emu
+Icon=dolphin-emu
+StartupNotify=false
+Name[en_US]=Dolphin
diff --git a/games/dolphin-emu/dolphin-emu.info b/games/dolphin-emu/dolphin-emu.info
new file mode 100644
index 0000000000..6de7d1aca7
--- /dev/null
+++ b/games/dolphin-emu/dolphin-emu.info
@@ -0,0 +1,10 @@
+PRGNAM="dolphin-emu"
+VERSION="3.5"
+HOMEPAGE="http://dolphin-emu.org/"
+DOWNLOAD="https://dolphin-emu.googlecode.com/files/dolphin-3.5-src.zip"
+MD5SUM="4d0429f1e10f0862256e0b4c4e2f44a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nvidia-cg-toolkit"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/games/dolphin-emu/slack-desc b/games/dolphin-emu/slack-desc
new file mode 100644
index 0000000000..b36e2eb7e5
--- /dev/null
+++ b/games/dolphin-emu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dolphin-emu: dolphin-emu (Gamecube emulator)
+dolphin-emu:
+dolphin-emu: Dolphin is a Gamecube, Wii and Triforce (the arcade machine based on
+dolphin-emu: the Gamecube) emulator which supports many extra features and
+dolphin-emu: abilities not present on the original consoles. Gamecube and Wii
+dolphin-emu: compatibility is good - one can expect "mainstream" titles to run;
+dolphin-emu: lesser known titles can be hit or miss. Triforce compatibility is
+dolphin-emu: currently limited to a couple of games - others require more of the
+dolphin-emu: Triforce-specific peripheral devices to be emulated.
+dolphin-emu:
+dolphin-emu: Homepage: http://dolphin-emu.org/